PileupElementBaseQual Class Reference

This class inherits from the base class and stores base and qualities. More...

`#include <PileupElementBaseQual.h>`

Inheritance diagram for PileupElementBaseQual:
[legend]
Collaboration diagram for PileupElementBaseQual:
[legend]

## Public Member Functions

| PileupElementBaseQual (const PileupElementBaseQual &q)
virtual void | addEntry (SamRecord &record)
| Add an entry to this pileup element.
virtual void | analyze ()
| Perform the analysis associated with this class.
virtual void | reset (int32_t refPosition)
| Resets the entry, setting the new position associated with this element.
Public Member Functions inherited from PileupElement
| PileupElement ()
| Pileup element constructor.
| PileupElement (const PileupElement &q)
| Constructor that resets the pileup element, does not copy, just resets.
virtual | ~PileupElement ()
| Pileup element destructor.
const char * | getChromosome () const
| Get the chromosome name stored in this element.
int32_t | getRefPosition () const
| Get the reference position stored in this element.
char | getRefBase ()
| Returns the reference base for this pileup element. More...

## Additional Inherited Members

Static Public Member Functions inherited from PileupElement
static void | setReference (GenomeSequence *reference)
| Set the reference to use for all pilepElements.
Static Public Attributes inherited from PileupElement
static const int32_t | UNSET_POSITION = -1
Static Protected Member Functions inherited from PileupElement
static GenomeSequence * | getReference ()
| Get a pointer to the reference.

## Detailed Description

This class inherits from the base class and stores base and qualities.

Definition at line 25 of file PileupElementBaseQual.h.

The documentation for this class was generated from the following files:

- bam/PileupElementBaseQual.h
- bam/PileupElementBaseQual.cpp